de.vc.jfo.importer

## Class FontMapper

- java.lang.Object
- - java.util.Observable
  - - de.vc.jfo.tools.FontMapper
    - - de.vc.jfo.importer.FontMapper

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable

  Deprecated.
  Class was moved

      public class FontMapper
      extends FontMapper

  This class is deprecated and was moved to de.vc.jfo.tools.FontMapper.
  See Also:
    `FontMapper`

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.tools.FontMapper

      `LINE_HEIGHT_DEFAULT, LINE_HEIGHT_NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontMapper()` Deprecated. Creates a FontMapper.
    `FontMapper(de.vc.config.Configuration config)` Deprecated. Creates a FontMapper based on a configuration.
    `FontMapper(java.io.InputStream xml)` Deprecated. Creates a FontMapper from a XML font-mapping stream.
    `FontMapper(java.lang.String xmlFile)` Deprecated. Creates a FontMapper from a XML font-mapping file.

  - ### Method Summary

    - ### Methods inherited from class de.vc.jfo.tools.FontMapper

      `addMappingRule, buildConfiguration, clearMapping, cloned, compareTo, configure, configure, getDefaultFont, getDefaultLineHeight, getEntries, getForRenderer, getID, getMappingRule, getNameMap, hasID, isGlobalMapper, lineHeightForFont, logMapping, mapFontName, matches, removeMappingRule, renameRule, setDefaultFont, setDefaultLineHeight, setForRenderer, setID, storeTo, transcodeText`

    - ### Methods inherited from class java.util.Observable

      `addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontMapper

          public FontMapper()

      Deprecated.
      Creates a FontMapper.

    - #### FontMapper

          public FontMapper(java.lang.String xmlFile)
                     throws de.vc.config.ConfigurationException,
                            java.io.IOException

      Deprecated.
      Creates a FontMapper from a XML font-mapping file.
      Parameters:
        `xmlFile` - XML file
      Throws:
        `java.io.IOException`
        `de.vc.config.ConfigurationException`

    - #### FontMapper

          public FontMapper(java.io.InputStream xml)
                     throws de.vc.config.ConfigurationException,
                            java.io.IOException

      Deprecated.
      Creates a FontMapper from a XML font-mapping stream.
      Parameters:
        `xml` - XML stream.
      Throws:
        `java.io.IOException`
        `de.vc.config.ConfigurationException`

    - #### FontMapper

          public FontMapper(de.vc.config.Configuration config)
                     throws de.vc.config.ConfigurationException,
                            java.io.IOException

      Deprecated.
      Creates a FontMapper based on a configuration.
      Parameters:
        `config` - Configuration.
      Throws:
        `java.io.IOException`
        `de.vc.config.ConfigurationException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.